Subject: Re: DSA and underlying 802.1Q encapsulation

From: Andrew Lunn <[email-masked]>
Date: Wed, 27 May 2015 23:05:23 +0200

> Do you have lock debugging enabled in your code ? I am getting a recursive
> lock warning due to a recursive call to dev_mc_sync(). I think we may have
> to implement lock nesting for dsa, similar to how it id done for vlan
> support, but I have not been able to figure out how exactly it works yet.

I might be able to help, since i solve two similar problems already in
DSA, one for MDIO bus, and a second one for transmit buffers.

     Andrew